CRONTAB(1)

NAME
crontab - maintain crontab files for individual users

SYNOPSIS
crontab [-u user] file
crontab [-u user] [ -l | -r | -e]

DESCRIPTION
crontab is the program used to install, deinstall, or list the tables used to drive the cron(8) daemon. Each user can have their own crontab(5), and though these are files in /var/spool/cron, they are not intended to be edited directly.

The first form of this command is used to install a new crontab from some named file, or standard input if the pseudo-filename ‘-’ is given.

If the /etc/cron.allow file exists, then you must be listed therein in order to use crontab. If the /etc/cron.allow file does not exist but the /etc/cron.deny file does exist, then you must not be listed in the /etc/cron.deny file in order to use crontab. If neither of these files exists then only the super user will be allowed to use crontab. NOTE: if they exist, /etc/cron.allow and /etc/cron.deny must be readable by group crontab. If crontab is unable to read the files, users will not be allowed to use crontab.

The options are as follows:

-u user
    Specifies the name of the user whose crontab(5) is to be edited. If this option is not given, crontab examines “your” crontab(5); i.e., the crontab of the person executing the command. Note that su(1) can confuse crontab and that if you are running inside of su(1) you should always use the -u option for safety's sake.

-l  Causes the current crontab to be displayed on standard output.

-r  Causes the current crontab to be removed.

-e  Edit the current crontab using the editor specified by the VISUAL or EDITOR environment variables. After you exit from the editor, the modified crontab(5) will be installed automatically.

-s  It will append the current SELinux security context string as an MLS_LEVEL setting to the crontab file before editing / replacement occurs - see the documentation of MLS_LEVEL in crontab(5).

FILES
/etc/cron.allow
    list of users allowed to use crontab
/etc/cron.deny
    list of users prohibited from using crontab
/var/spool/cron
    directory of individual crontabs

DIAGNOSTICS
A fairly informative usage message appears if you run it with a bad command line.

SEE ALSO
at(1), crontab(5), cron(8)

STANDARDS
The crontab utility is compliant with the p1003.2 specification.

AUTHORS
Paul Vixie <vixie@isc.org>